<Container
  {{did-insert this.setup}}
  @value={{@value.data.container}}
  @deviceSize={{@deviceSize}}
  class="page-col-picture-list use-highlights"
  id={{this.elementId}}
  data-name={{@value.name}}
  data-path="{{@path}}.data.container"
  ...attributes
>
  <div
    class="d-none"
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-path="{{@path}}.data.source"
    data-editor="image-list"
    data-type="data source"
    {{did-insert this.prepareData}}
    {{on "props-update" this.updateProps}}
  />

  {{#each this.recordsWithLinks as |item index|}}
    <PictureWithOptions
      class="page-col-picture {{if item.destination.link 'cursor-pointer'}}"
      data-path={{concat @path ".data.picture"}}
      data-name="{{@value.name}} {{index}}"
      data-gid={{@value.gid}}
      @deviceSize={{@deviceSize}}
      @name={{item.picture.name}}
      @meta={{item.picture.meta}}
      @src="{{item.picture.picture}}"
      @hash={{item.picture.hash}}
      @options={{@value.data.picture}}
      @onClick={{fn this.handleClick index}}
      @onLoad={{@onLoad}}
    >

    <Link
      @space={{@space}}
      @to={{item.destination.link}}
      @newTab={{item.destination.newTab}}
      @isEditor={{@isEditor}}
      class="d-none"
      {{did-insert (fn this.setupLink index)}}
      data-editor="link"
      data-type="link"
      data-path={{concat @path ".data.links." index}}
      data-name="{{@value.name}} {{index}}"
      data-gid={{@value.gid}}
    >Go to page</Link>

    </PictureWithOptions>
  {{/each}}
</Container>
